﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CustomTileControl.ViewModel
{
    public class CardControlViewModel : INotifyPropertyChanged
    {
        string _LargerText, _SmallerText;

        public string SmallerText
        {
            get { return _SmallerText; }
            set { _SmallerText = value; RaiseProeprtyChanged("SmallerText"); }
        }

        public string LargerText
        {
            get { return _LargerText; }
            set { _LargerText = value; RaiseProeprtyChanged("LargerText"); }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        public void RaiseProeprtyChanged(string PropertyName)
        {
            var handler = PropertyChanged;
            if (handler != null)
            {
                handler(this, new PropertyChangedEventArgs(PropertyName));
            }
        }
    }
}
